#include <iostream>
#include <string>
#include <ctime>

using namespace std;

#include "sm_array.h"
#include "collect.h"
#include "test_constants.h"


int main(int argc, char * argv[]) {
    srand(time(NULL));
    garray a = initial_restaurants();
    cout << "    >>> " << a << endl;
    cout << "should print the previous array in random orders: " << endl;
    for(int i = 0; i < 10; i++) {
        a.randomize();
        cout << "    >>> " << a << endl;
    }
    return 0;
}
